## schroedinger-coordgenlibs 1.1

=== CMakeLists.txt ===
set (CMAKE_CXX_STANDARD 11)
cmake_minimum_required(VERSION 3.2)
project(coordgen)

#include(ExternalProject)

#ExternalProject_Add(
#    maeparser
#    SOURCE_DIR ${coordgen_SOURCE_DIR}/maeparser
#)


file(GLOB SOURCES "*.cpp")
find_package(Boost)
find_package(maeparser)
include_directories(${Boost_INCLUDE_DIRS})
include_directories(${maeparser_INCLUDE_DIRS})
add_library(coordgenlibs SHARED ${SOURCES})
target_compile_definitions(coordgenlibs PRIVATE IN_COORDGEN)
set_property(TARGET coordgenlibs PROPERTY CXX_VISIBILITY_PRESET "hidden")
add_executable(example example/example.cpp)

target_link_libraries(coordgenlibs maeparser)
target_link_libraries(example coordgenlibs)
enable_testing()

install(TARGETS coordgenlibs
    ARCHIVE DESTINATION lib
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib)

install(FILES
    CoordgenFragmentBuilder.h
    CoordgenFragmenter.h
    CoordgenMacrocycleBuilder.h
    CoordgenMinimizer.h
    sketcherMinimizerAtom.h
    sketcherMinimizerBendInteraction.h
    sketcherMinimizerBond.h
    sketcherMinimizerClashInteraction.h
    sketcherMinimizerEZConstrainInteraction.h
    sketcherMinimizerFragment.h
    sketcherMinimizer.h
    sketcherMinimizerInteraction.h
    sketcherMinimizerMarchingSquares.h
    sketcherMinimizerMaths.h
    sketcherMinimizerMolecule.h
    sketcherMinimizerResidue.h
    sketcherMinimizerResidueInteraction.h
    sketcherMinimizerRing.h
    sketcherMinimizerStretchInteraction.h
    DESTINATION include/coordgen)

=== debian/changelog ===
schroedinger-coordgenlibs (1.1-3) unstable; urgency=medium

  * Team upload.
  * debian/rules (override_dh_install): Use DEB_HOST_MULTIARCH instead of
    DEB_BUILD_GNU_TYPE. 

 -- Michael Banck <mbanck@debian.org>  Thu, 31 Jan 2019 16:33:22 +0100

schroedinger-coordgenlibs (1.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control (Build-Depends): Added cmake and libboost-dev (Closes:
    #919333).

 -- Michael Banck <mbanck@debian.org>  Wed, 16 Jan 2019 18:19:12 +0100

schroedinger-coordgenlibs (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #910499)

 -- Steffen Moeller <moeller@debian.org>  Sun, 07 Oct 2018 11:48:03 +0200

=== debian/control ===
Source: schroedinger-coordgenlibs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11), libschroedinger-maeparser-dev, cmake, libboost-dev
Standards-Version: 4.2.1
Section: libs
Homepage: https://github.com/schrodinger/coordgenlibs
Vcs-Browser: https://salsa.debian.org/science-team/schroedinger-coordgenlibs
Vcs-Git: https://salsa.debian.org/science-team/schroedinger-coordgenlibs.git

Package: libschroedinger-coordgenlibs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libschroedinger-coordgenlibs1 (= ${binary:Version}), ${misc:Depends}
Description: 2D coordinate generation for chemical compounds - header files
 This package provides the Open Source release of Schroedinger's routines
 for the 2D coordinate representation of chemical compounds.
 .
 This package provides header files for developing against the API of that
 library.

Package: libschroedinger-coordgenlibs1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 2D coordinate generation for chemical compounds
 This package provides the Open Source release of Schroedinger's routines
 for the 2D coordinate representation of chemical compounds.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_install:
	mkdir -p $(CURDIR)/debian/libschroedinger-coordgenlibs-dev/usr/include/coordgenlibs
	mkdir -p $(CURDIR)/debian/libschroedinger-coordgenlibs-dev/usr/lib/$$(dpkg-architecture -qDEB_HOST_MULTIARCH)
	cp *.h *.hpp $(CURDIR)/debian/libschroedinger-coordgenlibs-dev/usr/include/coordgenlibs/
	mv */*.so $(CURDIR)/debian/libschroedinger-coordgenlibs-dev/usr/lib/$$(dpkg-architecture -qDEB_HOST_MULTIARCH)
	mkdir -p $(CURDIR)/debian/libschroedinger-coordgenlibs1/usr/lib/$$(dpkg-architecture -qDEB_HOST_MULTIARCH)
	mv */*.so.* $(CURDIR)/debian/libschroedinger-coordgenlibs1/usr/lib/$$(dpkg-architecture -qDEB_HOST_MULTIARCH)

## schroedinger-coordgenlibs 1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(coordgen)

# Options & Project configuration
set(CMAKE_CXX_STANDARD 11)
option(COORDGEN_BUILD_TESTS "Whether test executables should be built" ON)
option(COORDGEN_BUILD_EXAMPLE "Whether to build the sample executable" ON)

# Dependencies
find_package(Boost COMPONENTS iostreams REQUIRED)
find_package(maeparser REQUIRED)

# Source files & headers
file(GLOB SOURCES "*.cpp")
include_directories(${Boost_INCLUDE_DIRS})
include_directories(${maeparser_INCLUDE_DIRS})

# Build Targets & Configuration -- coordgen library
add_library(coordgen SHARED ${SOURCES})
target_compile_definitions(coordgen PRIVATE IN_COORDGEN)
set_property(TARGET coordgen PROPERTY CXX_VISIBILITY_PRESET "hidden")
target_link_libraries(coordgen maeparser)

set_target_properties(coordgen
    PROPERTIES
        VERSION 1.3
        SOVERSION 1
)

# Install configuration
install(TARGETS coordgen
    EXPORT coordgen-targets
    ARCHIVE DESTINATION lib
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib)

install(FILES
    CoordgenConfig.hpp
    CoordgenFragmentBuilder.h
    CoordgenFragmenter.h
    CoordgenMacrocycleBuilder.h
    CoordgenMinimizer.h
    sketcherMinimizerAtom.h
    sketcherMinimizerBendInteraction.h
    sketcherMinimizerBond.h
    sketcherMinimizerClashInteraction.h
    sketcherMinimizerEZConstrainInteraction.h
    sketcherMinimizerFragment.h
    sketcherMinimizer.h
    sketcherMinimizerInteraction.h
    sketcherMinimizerMarchingSquares.h
    sketcherMinimizerMaths.h
    sketcherMinimizerMolecule.h
    sketcherMinimizerResidue.h
    sketcherMinimizerResidueInteraction.h
    sketcherMinimizerRing.h
    sketcherMinimizerStretchInteraction.h
    DESTINATION include/coordgen)

install(FILES
    templates.mae
    DESTINATION share/coordgen)

install(EXPORT coordgen-targets
    FILE ${PROJECT_NAME}-config.cmake
    DESTINATION lib/cmake)

# Example
if(COORDGEN_BUILD_EXAMPLE)
    add_subdirectory(example_dir)
endif(COORDGEN_BUILD_EXAMPLE)

# Tests
if(COORDGEN_BUILD_TESTS)
    set(MEMORYCHECK_COMMAND_OPTIONS "--tool=memcheck --time-stamp=yes \
        --num-callers=20 --gen-suppressions=all --leak-check=full \
        --show-reachable=no --trace-children=yes --error-exitcode=29")
    include(CTest)
    add_subdirectory(test)
endif(COORDGEN_BUILD_TESTS)

=== example_dir/CMakeLists.txt ===
add_executable(example example.cpp)
target_link_libraries(example coordgen)

=== test/CMakeLists.txt ===
# Use the example executable as a test
add_test(example ${CMAKE_BINARY_DIR}/example_dir/example)

=== debian/changelog ===
schroedinger-coordgenlibs (1.3-1build1) focal; urgency=medium

  * Rebuild to correct libmaeparser linking. LP: #1864569

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Feb 2020 23:05:33 +0000

schroedinger-coordgenlibs (1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/SOVERSION.patch: Removed, no longer needed.
  * debian/patches/cmake-config.patch: Likewise.
  * debian/control (Build-Depends): Added libboost-iostreams-dev.
  * debian/rules (override_dh_install): Target removed.
  * debian/rules (override_dh_auto_configure): New target defininig
    CMAKE_PREFIX_PATH to /usr/lib/$(DEB_HOST_MULTIARCH)/cmake.
  * debian/patches/cmake_standard_dirs.patch: New patch, fixes installation
    directories.
  * debian/examples: Updated.
  * debian/libschroedinger-coordgenlibs-dev.install: Install default files.
  * debian/libschroedinger-coordgenlibs1.install: Likewise.
  * debian/control (Build-Depends): Added versioned Build-Depends on
    libschroedinger-maeparser-dev 1.2-1.

 -- Michael Banck <mbanck@debian.org>  Tue, 23 Jul 2019 00:19:54 -0300

schroedinger-coordgenlibs (1.1-4) unstable; urgency=medium

  * debian/patches/cmake-config.patch: New patch, adds support for a
    -config.cmake file.
  * debian/rules (override_dh_install): Install header files into
    /usr/include/coordgen, not /usr/include/coordgenlibs.
  * debian/rules (override_dh_install): Install cmake files.

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Jul 2019 17:05:33 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: schroedinger-coordgenlibs
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 11), libschroedinger-maeparser-dev, cmake, libboost-dev
+Build-Depends: debhelper (>= 11), libschroedinger-maeparser-dev (>= 1.2-1), cmake, libboost-dev, libboost-iostreams-dev
 Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/schrodinger/coordgenlibs

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_PREFIX_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/cmake

## schroedinger-coordgenlibs 1.4.0

=== debian/changelog ===
schroedinger-coordgenlibs (1.4.0-2build1) groovy; urgency=medium

  * No-change rebuild against libmaeparser1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 May 2020 16:20:53 +0000

schroedinger-coordgenlibs (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Installing templates.mae to usr/share/coordgen.
  * Bumping debhelper compat (no changes).
  * Adding 'Rules-Requires-Root: no'.

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 May 2020 04:17:28 -0400

schroedinger-coordgenlibs (1.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.4.0

 -- Andrius Merkys <merkys@debian.org>  Thu, 07 May 2020 07:55:29 -0400

schroedinger-coordgenlibs (1.3-3) unstable; urgency=medium

  * Team upload.
  * Adding missing build depends on zlib1g-dev.
  * Using variables from /usr/share/dpkg/architecture.mk instead of defining
    them in debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 Apr 2020 03:56:57 -0400

schroedinger-coordgenlibs (1.3-2) unstable; urgency=medium

  * Team upload.
  * Wrapping and sorting.
  * Replacing libschroedinger-maeparser-dev with libmaeparser-dev.

 -- Andrius Merkys <merkys@debian.org>  Sun, 05 Apr 2020 02:42:57 -0400

=== debian/control ===
Source: schroedinger-coordgenlibs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libboost-dev,
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-test-dev,
 libmaeparser-dev,
 zlib1g-dev,
Standards-Version: 4.2.1
Section: libs
Homepage: https://github.com/schrodinger/coordgenlibs
Vcs-Browser: https://salsa.debian.org/science-team/schroedinger-coordgenlibs
Vcs-Git: https://salsa.debian.org/science-team/schroedinger-coordgenlibs.git
Rules-Requires-Root: no

Package: libcoordgen-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcoordgen1 (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 libschroedinger-coordgenlibs-dev,
Replaces:
 libschroedinger-coordgenlibs-dev,
Description: 2D coordinate generation for chemical compounds - header files
 This package provides the Open Source release of Schroedinger's routines
 for the 2D coordinate representation of chemical compounds.
 .
 This package provides header files for developing against the API of that
 library.

Package: libcoordgen1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libschroedinger-coordgenlibs1,
Replaces:
 libschroedinger-coordgenlibs1,
Description: 2D coordinate generation for chemical compounds
 This package provides the Open Source release of Schroedinger's routines
 for the 2D coordinate representation of chemical compounds.

## schroedinger-coordgenlibs 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,38 +1,101 @@
 cmake_minimum_required(VERSION 3.2)
 project(coordgen)
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
-# Options & Project configuration
-set(CMAKE_CXX_STANDARD 11)
+# Options
+option(COORDGEN_RIGOROUS_BUILD "Abort the build if the compiler issues \
+       any warnings" OFF )
 option(COORDGEN_BUILD_TESTS "Whether test executables should be built" ON)
 option(COORDGEN_BUILD_EXAMPLE "Whether to build the sample executable" ON)
+option(COORDGEN_USE_MAEPARSER "Whether to allow loading of run-time templates" OFF)
+option(COORDGEN_BUILD_SHARED_LIBS "Build coordgen as a shared library \
+       (turn off for a static one)" ON)
 
-# Dependencies
-find_package(Boost COMPONENTS iostreams REQUIRED)
-find_package(maeparser REQUIRED)
+# Use the maeparser_DIR variable to tell CMake where to search for the
+# maeparser library.
+
+if (COORDGEN_USE_MAEPARSER OR COORDGEN_BUILD_TESTS)
+    set(USE_MAEPARSER ON)
+else()
+    set(USE_MAEPARSER OFF)
+endif()
+
+if (USE_MAEPARSER)
+    set(MAEPARSER_VERSION "master" CACHE STRING "maeparser tag to build if \
+        a compiled library is not found")
+endif()
+
+if(MSVC)
+    # C4251 disables warnings for export STL containers as arguments
+    # (returning a vector of things)
+    add_definitions(/wd4251 /wd4275 /wd4996 /D_SCL_SECURE_NO_WARNINGS
+                    /D_CRT_SECURE_NO_WARNINGS)
+    add_definitions(-DBOOST_ALL_NO_LIB)
+endif(MSVC)
+
+if(COORDGEN_RIGOROUS_BUILD)
+if(MSVC)
+    add_definitions(/WX)
+else(MSVC)
+    add_definitions(-Wall -Wextra -Werror)
+endif(MSVC)
+endif(COORDGEN_RIGOROUS_BUILD)
 
 # Source files & headers
 file(GLOB SOURCES "*.cpp")
-include_directories(${Boost_INCLUDE_DIRS})
-include_directories(${maeparser_INCLUDE_DIRS})
 
 # Build Targets & Configuration -- coordgen library
-add_library(coordgen SHARED ${SOURCES})
-target_compile_definitions(coordgen PRIVATE IN_COORDGEN)
-set_property(TARGET coordgen PROPERTY CXX_VISIBILITY_PRESET "hidden")
-target_link_libraries(coordgen maeparser)
+if(COORDGEN_BUILD_SHARED_LIBS)
+    add_library(coordgen SHARED ${SOURCES})
+    target_compile_definitions(coordgen PRIVATE "IN_COORDGEN")
+    set_property(TARGET coordgen PROPERTY CXX_VISIBILITY_PRESET "hidden")
+else(COORDGEN_BUILD_SHARED_LIBS)
+    add_library(coordgen STATIC ${SOURCES})
+    if (USE_MAEPARSER)
+        target_compile_definitions(coordgen PRIVATE "STATIC_MAEPARSER")
+    endif(USE_MAEPARSER)
+    target_compile_definitions(coordgen PRIVATE "STATIC_COORDGEN")
+endif(COORDGEN_BUILD_SHARED_LIBS)
+
+# Dependencies
+if (USE_MAEPARSER)
+    if(TARGET maeparser)
+        message(STATUS "Using externally defined maeparser target to "
+        "build coordgen")
+    else()
+        include(CoordgenUtils)
+        set(MAEPARSER_BUILD_SHARED_LIBS ${COORDGEN_BUILD_SHARED_LIBS} CACHE BOOL "Library type for maeparser")
+        find_or_clone_maeparser()
+    endif()
+
+    include_directories(${maeparser_INCLUDE_DIRS})
+    find_package(Boost REQUIRED)
+    include_directories(${Boost_INCLUDE_DIRS})
+endif (USE_MAEPARSER)
+
+if (COORDGEN_USE_MAEPARSER)
+    target_link_libraries(coordgen ${maeparser_LIBRARIES})
+    target_compile_definitions(coordgen PRIVATE "USE_MAEPARSER")
+endif()
 
 set_target_properties(coordgen
     PROPERTIES
-        VERSION 1.3
+        VERSION 1.4.1
         SOVERSION 1
 )
+
+if(MSVC)
+    set(CMAKE_INSTALL_LIBDIR lib)
+    set(CMAKE_INSTALL_BINDIR bin)
+endif(MSVC)
 
 # Install configuration
 install(TARGETS coordgen
     EXPORT coordgen-targets
-    ARCHIVE DESTINATION lib
-    RUNTIME DESTINATION bin
-    LIBRARY DESTINATION lib)
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
 install(FILES
     CoordgenConfig.hpp
@@ -57,10 +120,6 @@
     sketcherMinimizerStretchInteraction.h
     DESTINATION include/coordgen)
 
-install(FILES
-    templates.mae
-    DESTINATION share/coordgen)
-
 install(EXPORT coordgen-targets
     FILE ${PROJECT_NAME}-config.cmake
     DESTINATION lib/cmake)

=== debian/changelog ===
schroedinger-coordgenlibs (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.1
  * Refreshing cmake_standard_dirs.patch.

 -- Andrius Merkys <merkys@debian.org>  Tue, 30 Jun 2020 01:46:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: schroedinger-coordgenlibs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Steffen Moeller <moeller@debian.org>,
 Build-Depends:

## schroedinger-coordgenlibs 1.4.2

=== test/CMakeLists.txt ===
# Use the example executable as a test
add_test(example ${CMAKE_BINARY_DIR}/example_dir/example)

add_executable(test_coordgen test_coordgen.cpp)

if(COORDGEN_BUILD_SHARED_LIBS)
    target_compile_definitions(test_coordgen PRIVATE "BOOST_ALL_DYN_LINK")
else(COORDGEN_BUILD_SHARED_LIBS)
    set(Boost_USE_STATIC_LIBS ON)
    target_compile_definitions(test_coordgen PRIVATE "STATIC_MAEPARSER")
    target_compile_definitions(test_coordgen PRIVATE "STATIC_COORDGEN")
endif(COORDGEN_BUILD_SHARED_LIBS)

find_package(Boost COMPONENTS filesystem unit_test_framework REQUIRED)

target_link_libraries(test_coordgen coordgen ${maeparser_LIBRARIES} ${boost_link_options} Boost::unit_test_framework Boost::filesystem)

# Set the path for the input files
get_filename_component(TEST_SAMPLES_PATH ${CMAKE_CURRENT_SOURCE_DIR} ABSOLUTE)
target_compile_definitions(test_coordgen PRIVATE "TEST_SAMPLES_PATH=\"${TEST_SAMPLES_PATH}\"")
target_compile_definitions(test_coordgen PRIVATE "SOURCE_DIR=\"${PROJECT_SOURCE_DIR}\"")

add_test(NAME test_coordgen COMMAND ${CMAKE_BINARY_DIR}/test/test_coordgen
         WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/test)

=== debian/changelog ===
schroedinger-coordgenlibs (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.2
  * Refreshing cmake_standard_dirs.patch.
  * Bumping Standards-Version (no changes).

 -- Andrius Merkys <merkys@debian.org>  Mon, 19 Oct 2020 06:10:08 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libboost-test-dev,
  libmaeparser-dev,
  zlib1g-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/schrodinger/coordgenlibs
 Vcs-Browser: https://salsa.debian.org/science-team/schroedinger-coordgenlibs

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_PREFIX_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/cmake

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%schroedinger-coordgenlibs-$1.tar.gz%" \
   https://github.com/schrodinger/coordgenlibs/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## schroedinger-coordgenlibs 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,13 @@
 
 # Options
 option(COORDGEN_RIGOROUS_BUILD "Abort the build if the compiler issues \
-       any warnings" OFF )
+       any warnings" ON )
 option(COORDGEN_BUILD_TESTS "Whether test executables should be built" ON)
 option(COORDGEN_BUILD_EXAMPLE "Whether to build the sample executable" ON)
 option(COORDGEN_USE_MAEPARSER "Whether to allow loading of run-time templates" OFF)
 option(COORDGEN_BUILD_SHARED_LIBS "Build coordgen as a shared library \
        (turn off for a static one)" ON)
+option(DEBUG_COORDS "Whether to print minimization data and atom mapping to file" OFF)
 
 # Use the maeparser_DIR variable to tell CMake where to search for the
 # maeparser library.
@@ -58,6 +59,10 @@
     target_compile_definitions(coordgen PRIVATE "STATIC_COORDGEN")
 endif(COORDGEN_BUILD_SHARED_LIBS)
 
+if (DEBUG_COORDS)
+   target_compile_definitions(coordgen PRIVATE "DEBUG_MINIMIZATION_COORDINATES")
+endif()
+
 # Dependencies
 if (USE_MAEPARSER)
     if(TARGET maeparser)
@@ -81,13 +86,15 @@
 
 set_target_properties(coordgen
     PROPERTIES
-        VERSION 1.4.1
-        SOVERSION 1
+        VERSION 3.0.0
+        SOVERSION 3
 )
 
 if(MSVC)
     set(CMAKE_INSTALL_LIBDIR lib)
     set(CMAKE_INSTALL_BINDIR bin)
+else(MSVC)
+    include(GNUInstallDirs)
 endif(MSVC)
 
 # Install configuration

=== example_dir/CMakeLists.txt ===
add_executable(example example.cpp)

if(COORDGEN_BUILD_SHARED_LIBS)
    target_compile_definitions(example PRIVATE "BOOST_ALL_DYN_LINK")
else(COORDGEN_BUILD_SHARED_LIBS)
    set(Boost_USE_STATIC_LIBS ON)
    target_compile_definitions(example PRIVATE "STATIC_MAEPARSER")
    target_compile_definitions(example PRIVATE "STATIC_COORDGEN")
endif(COORDGEN_BUILD_SHARED_LIBS)

# Workaround for CI: Boost regex seems to be missing icu symbols in
# some conda builds. The filesystem lib seems to have them.
find_package(Boost COMPONENTS filesystem REQUIRED)

target_link_libraries(example coordgen Boost::filesystem)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -22,3 +22,18 @@
 
 add_test(NAME test_coordgen COMMAND ${CMAKE_BINARY_DIR}/test/test_coordgen
          WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/test)
+
+
+add_executable(test_smilesparser test_smilesparser.cpp)
+
+if(COORDGEN_BUILD_SHARED_LIBS)
+    target_compile_definitions(test_smilesparser PRIVATE "BOOST_ALL_DYN_LINK")
+else(COORDGEN_BUILD_SHARED_LIBS)
+    set(Boost_USE_STATIC_LIBS ON)
+    target_compile_definitions(test_smilesparser PRIVATE "STATIC_COORDGEN")
+endif(COORDGEN_BUILD_SHARED_LIBS)
+
+target_link_libraries(test_smilesparser coordgen ${boost_link_options} Boost::unit_test_framework Boost::filesystem)
+
+add_test(NAME test_smilesparser COMMAND ${CMAKE_BINARY_DIR}/test/test_coordgen
+         WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/test)

=== debian/changelog ===
schroedinger-coordgenlibs (3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 28 Sep 2021 01:16:52 -0400

schroedinger-coordgenlibs (3.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 3.0.0
  * Refreshing patches.
  * Accommodating soversion change.

 -- Andrius Merkys <merkys@debian.org>  Thu, 16 Sep 2021 05:18:58 -0400

schroedinger-coordgenlibs (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.3
  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 31 Aug 2021 00:50:13 -0400

schroedinger-coordgenlibs (2.0.2-1) experimental; urgency=medium

  * Team upload.
  * Simplifying debian/watch.
  * New upstream version 2.0.2

 -- Andrius Merkys <merkys@debian.org>  Fri, 09 Apr 2021 00:35:07 -0400

schroedinger-coordgenlibs (2.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.0.0

 -- Andrius Merkys <merkys@debian.org>  Mon, 29 Mar 2021 00:48:09 -0400

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libcoordgen1 (= ${binary:Version}),
+ libcoordgen3 (= ${binary:Version}),
  ${misc:Depends},
 Breaks:
  libschroedinger-coordgenlibs-dev,
@@ -37,7 +37,7 @@
  This package provides header files for developing against the API of that
  library.
 
-Package: libcoordgen1
+Package: libcoordgen3
 Architecture: any
 Multi-Arch: same
 Depends:

## schroedinger-coordgenlibs 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -86,7 +86,7 @@
 
 set_target_properties(coordgen
     PROPERTIES
-        VERSION 3.0.0
+        VERSION 3.0.1
         SOVERSION 3
 )
 
@@ -129,7 +129,7 @@
 
 install(EXPORT coordgen-targets
     FILE ${PROJECT_NAME}-config.cmake
-    DESTINATION lib/cmake)
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake)
 
 # Example
 if(COORDGEN_BUILD_EXAMPLE)

=== debian/changelog ===
schroedinger-coordgenlibs (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Drop patches (integrated upstream).
  * Simplify debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Tue, 27 Sep 2022 04:00:37 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libboost-test-dev,
  libmaeparser-dev,
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://github.com/schrodinger/coordgenlibs
 Vcs-Browser: https://salsa.debian.org/science-team/schroedinger-coordgenlibs

## schroedinger-coordgenlibs 3.0.2

=== debian/changelog ===
schroedinger-coordgenlibs (3.0.2-3) unstable; urgency=medium

  * Team upload.
  * Adjust CMake file location to make it findable by other packages.

 -- Andrius Merkys <merkys@debian.org>  Tue, 30 Sep 2025 04:45:31 -0400

schroedinger-coordgenlibs (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * Bump cmake_minimum_required (Closes: #1113486)

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Sep 2025 03:54:11 -0400

schroedinger-coordgenlibs (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.2
  * Update standards version to 4.6.2, no changes needed.
  * Add myself to debian/copyright.
  * Wrap and sort.

 -- Andrius Merkys <merkys@debian.org>  Wed, 14 Jun 2023 01:28:06 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libboost-test-dev,
  libmaeparser-dev,
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/schrodinger/coordgenlibs
 Vcs-Browser: https://salsa.debian.org/science-team/schroedinger-coordgenlibs

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic

%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%schroedinger-coordgenlibs-$1.tar.gz%" \
   https://github.com/schrodinger/coordgenlibs/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
